/* Peter Schaeffer */
#include <stdio.h>

FILE *in;
int m, n, c;

#define TOP(x) (((x)<0)?(0):(x))

int main()
{
  in=stdin;
  while(1)
    {
      fscanf(in, " %d %d %d ", &m, &n, &c);
      if (!n) break;
      printf("%d\n",
	     TOP(((m-6-c)/2)*((n-7)/2))+
	     TOP(((m-7+c)/2)*((n-6)/2)));
    }
  return 0;
}
